Name:		plymouth-theme-redbull
Version:	0.1
Release:	%mkrel 2
License:	GPL
Group:		System/Kernel and hardware
URL:		http://pclinuxos.com
Source:		plymouth-theme-RedBull-%{version}.tar.xz
Summary:	RedBull Plymouth Theme
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Requires:   	glibc >= 2.10.1
Obsoletes:	plymouth-theme-RedBull
BuildArch:       noarch


%description
RedBull Plymouth Theme for PCLinuxOS

%prep

%setup -q -n plymouth-theme-RedBull-%{version}

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/plymouth/themes/RedBull
cp * $RPM_BUILD_ROOT/%{_datadir}/plymouth/themes/RedBull


%posttrans
/usr/sbin/plymouth-set-default-theme RedBull
/usr/share/bootsplash/scripts/switch-themes RedBull

%files
%defattr(-,root,root)
%{_datadir}/plymouth/themes/RedBull/*
%dir %{_datadir}/plymouth/themes/RedBull

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{name}

%changelog
* Sat Jun 11 2011 Neal <nealbrks0 at gmail.com> 0.1-2pclos2011
- add %postun to fix nonremoval of theme folder

* Sun Aug 29 2010 Neal <nealbrks0 at gmail.com> 0.1-1pclos2010
- create new package of a theme by Neal

